Bug 240929 - net-im/telegram-desktop: update to 1.8.9
Summary: net-im/telegram-desktop: update to 1.8.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-30 03:43 UTC by Henry Hu
Modified: 2019-10-07 20:45 UTC (History)
1 user (show)

See Also:


Attachments
patch for 1.8.9. Please apply with "patch -p0". (21.54 KB, patch)
2019-09-30 03:43 UTC, Henry Hu
henry.hu.sh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2019-09-30 03:43:06 UTC
Created attachment 207951 [details]
patch for 1.8.9. Please apply with "patch -p0".

This is a minor upgrade from 1.8.4. Changelog:
1.8.9 (27.09.19)

- Bug fixes and other minor improvements.

1.8.8 (10.09.19)

- Create new themes based on your color and wallpaper choices.
- Share your themes with other users via links.
- Update your theme for all its users when you change something.

1.8.7 beta (10.09.19)

- Bug fixes and other minor improvements.

1.8.6 beta (09.09.19)

- Bug fixes and other minor improvements.

1.8.5 beta (08.09.19)

- Create new themes based on your color and wallpaper choices.
- Share your themes with other users via links.
- Update your theme for all its users when you change something.
Comment 2 Henry Hu 2019-10-01 03:08:38 UTC
1.8.10 just came out.... Maybe I should provide a new patch.
Comment 3 Henry Hu 2019-10-01 03:10:29 UTC
Nope, it seems to be a beta version.
Comment 4 Xin LI freebsd_committer 2019-10-06 07:25:24 UTC
Ping?
Comment 5 commit-hook freebsd_committer 2019-10-07 20:42:29 UTC
A commit references this bug:

Author: swills
Date: Mon Oct  7 20:41:48 UTC 2019
New revision: 513998
URL: https://svnweb.freebsd.org/changeset/ports/513998

Log:
  net-im/telegram-desktop: update to 1.8.9

  PR:		240929
  Submitted by:	Henry Hu <henry.hu.sh@gmail.com> (maintainer)

Changes:
  head/net-im/telegram-desktop/Makefile
  head/net-im/telegram-desktop/distinfo
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_chat__helpers_stickers__emoji__pack.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_core_update__checker.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_admin__log_history__admin__log__inner.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_history__inner__widget.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_view_history__view__list__widget.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_freebsd_info__freebsd.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_linux_linux__libs.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_linux_linux__libs.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_linux_main__window__linux.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__info.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_ui_twidget.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_ui_widgets_labels.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_window_main__window.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_gyp_telegram__sources.txt
Comment 6 Steve Wills freebsd_committer 2019-10-07 20:45:22 UTC
Committed, thanks!